Page MenuHomePhabricator

[WebAssembly] Simplify extract_vector lowering
ClosedPublic

Authored by tlively on Feb 21 2020, 5:57 PM.

Details

Summary

Removes patterns that were not doing useful work, changes the
default extract instructions to be the unsigned versions now that
they are enabled by default, fixes PR44988, and adds tests for
sext_inreg lowering.

Diff Detail

Event Timeline

tlively created this revision.Feb 21 2020, 5:57 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 21 2020, 5:57 PM
aheejin accepted this revision.Feb 22 2020, 12:24 AM

This part has kind of complicated history and I hope this can be simplified someday 😂... Btw can the test case be simplified? Do we need all that code to generate the pattern?

This revision is now accepted and ready to land.Feb 22 2020, 12:24 AM
tlively retitled this revision from [WebAssembly] Fix ISel failure with sext_inreg of i32 vector lanes to [WebAssembly] Simplify extract_vector lowering.Feb 24 2020, 5:10 PM
tlively edited the summary of this revision. (Show Details)
tlively updated this revision to Diff 246347.Feb 24 2020, 5:11 PM
  • Refactor and add better tests

@aheejin I more or less rewrote this, so if you could take another look that would be great.

aheejin accepted this revision.Feb 25 2020, 1:30 PM

Nice, looks a lot simpler!

This revision was automatically updated to reflect the committed changes.